<?xml version='1.0' encoding='UTF-8'?>
<FilingSummary>
  <Version>3.3.1.900</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>88</ContextCount>
  <ElementCount>288</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>19</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>6</UnitCount>
  <MyReports>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>101 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DocumentandEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>103 - Statement - Consolidated Balance Sheets</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/StatementOfFinancialPositionClassified</Role>
      <ShortName>Consolidated Balance Sheets</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>104 - Statement - Consolidated Balance Sheets (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/StatementOfFinancialPositionClassifiedParenthetical</Role>
      <ShortName>Consolidated Balance Sheets (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>105 - Statement - Consolidated Statements of Income</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/StatementOfIncome</Role>
      <ShortName>Consolidated Statements of Income</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>106 - Statement - Consolidated Statement of Shareholders' Equity</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncome</Role>
      <ShortName>Consolidated Statement of Shareholders' Equity</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>107 - Statement - Consolidated Statements of Cash Flows</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/StatementOfCashFlowsIndirect</Role>
      <ShortName>Consolidated Statements of Cash Flows</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>108 - Disclosure - Description of Business and Significant Accounting Policies</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock</Role>
      <ShortName>Description of Business and Significant Accounting Policies</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>109 - Disclosure - Property and Equipment</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock</Role>
      <ShortName>Property and Equipment</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>110 - Disclosure - Accrued Expenses</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsAccountsPayableAndAccruedLiabilitiesDisclosureTextBlock</Role>
      <ShortName>Accrued Expenses</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>111 - Disclosure - Income Taxes</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlock</Role>
      <ShortName>Income Taxes</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>112 - Disclosure - Senior Credit Facility</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsLongTermDebtTextBlock</Role>
      <ShortName>Senior Credit Facility</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>113 - Disclosure - Long-Term Leases</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsLeasesOfLesseeDisclosureTextBlock</Role>
      <ShortName>Long-Term Leases</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>114 - Disclosure - Employee Benefit Plans</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock</Role>
      <ShortName>Employee Benefit Plans</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>115 - Disclosure - Commitments and Contingencies</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock</Role>
      <ShortName>Commitments and Contingencies</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>116 - Disclosure - Related Party Transactions</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlock</Role>
      <ShortName>Related Party Transactions</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>117 - Disclosure - Stock Repurchase Program</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsTreasuryStockTextBlock</Role>
      <ShortName>Stock Repurchase Program</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>118 - Disclosure - Quarterly Financial Information (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlock</Role>
      <ShortName>Quarterly Financial Information (Unaudited)</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>119 - Disclosure - Subsequent Events</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsSubsequentEventsTextBlock</Role>
      <ShortName>Subsequent Events</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>120 - Disclosure - Description of Business and Significant Accounting Policies (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlockPolicies</Role>
      <ShortName>Description of Business and Significant Accounting Policies (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock</ParentRole>
      <Position>19</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>121 - Disclosure - Property and Equipment (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables</Role>
      <ShortName>Property and Equipment (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock</ParentRole>
      <Position>20</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>122 - Disclosure - Accrued Expenses (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsAccountsPayableAndAccruedLiabilitiesDisclosureTextBlockTables</Role>
      <ShortName>Accrued Expenses (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsAccountsPayableAndAccruedLiabilitiesDisclosureTextBlock</ParentRole>
      <Position>21</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>123 - Disclosure - Income Taxes (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlockTables</Role>
      <ShortName>Income Taxes (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlock</ParentRole>
      <Position>22</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>124 - Disclosure - Employee Benefit Plans (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlockTables</Role>
      <ShortName>Employee Benefit Plans (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock</ParentRole>
      <Position>23</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>125 - Disclosure - Related Party Transactions (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlockTables</Role>
      <ShortName>Related Party Transactions (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlock</ParentRole>
      <Position>24</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>126 - Disclosure - Quarterly Financial Information (Unaudited) (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlockTables</Role>
      <ShortName>Quarterly Financial Information (Unaudited) (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlock</ParentRole>
      <Position>25</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>127 - Disclosure - Description of Business and Significant Accounting Policies - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureDescriptionOfBusinessAndSignificantAccountingPoliciesAdditionalInformation</Role>
      <ShortName>Description of Business and Significant Accounting Policies - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>26</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>128 - Disclosure - Property and Equipment - Summary of Property and Equipment (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosurePropertyAndEquipmentSummaryOfPropertyAndEquipment</Role>
      <ShortName>Property and Equipment - Summary of Property and Equipment (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>27</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>129 - Disclosure - Accrued Expenses - Summary of Accrued Expenses (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureAccruedExpensesSummaryOfAccruedExpenses</Role>
      <ShortName>Accrued Expenses - Summary of Accrued Expenses (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>28</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>130 - Disclosure - Income Taxes - Summary of Income Tax Expense (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesSummaryOfIncomeTaxExpense</Role>
      <ShortName>Income Taxes - Summary of Income Tax Expense (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>29</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>131 - Disclosure - Income Taxes - Reconciliation of Income Tax Expense at the Statutory Federal Income Tax Rate (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesReconciliationOfIncomeTaxExpenseAtTheStatutoryFederalIncomeTaxRate</Role>
      <ShortName>Income Taxes - Reconciliation of Income Tax Expense at the Statutory Federal Income Tax Rate (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>30</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>132 - Disclosure - Income Taxes - Significant Components of Deferred Tax Assets and Liabilities (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesSignificantComponentsOfDeferredTaxAssetsAndLiabilities</Role>
      <ShortName>Income Taxes - Significant Components of Deferred Tax Assets and Liabilities (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>31</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>133 - Disclosure - Income Taxes - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesAdditionalInformation</Role>
      <ShortName>Income Taxes - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>32</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>134 - Disclosure - Income Taxes - Reconciliation of Beginning and Ending Amount of Unrecognized Tax Benefits (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesReconciliationOfBeginningAndEndingAmountOfUnrecognizedTaxBenefits</Role>
      <ShortName>Income Taxes - Reconciliation of Beginning and Ending Amount of Unrecognized Tax Benefits (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>33</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>135 - Disclosure - Senior Credit Facility - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureSeniorCreditFacilityAdditionalInformation</Role>
      <ShortName>Senior Credit Facility - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>34</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>136 - Disclosure - Long-Term Leases - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureLongTermLeasesAdditionalInformation</Role>
      <ShortName>Long-Term Leases - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>35</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>137 - Disclosure - Share-Based Compensation Arrangements - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsAdditionalInformation</Role>
      <ShortName>Share-Based Compensation Arrangements - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>36</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>138 - Disclosure - Share-Based Compensation Arrangements - Stock Option Activity (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsStockOptionActivity</Role>
      <ShortName>Share-Based Compensation Arrangements - Stock Option Activity (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>37</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>139 - Disclosure - Share-Based Compensation Arrangements - Weighted Average for Key Assumptions Used in Determining the Fair Value of Options Granted and a Summary of the Methodology Applied to Develop Each Assumption (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsWeightedAverageForKeyAssumptionsUsedInDeterminingTheFairValueOfOptionsGrantedAndASummaryOfTheMethodologyAppliedToDevelopEachAssumption</Role>
      <ShortName>Share-Based Compensation Arrangements - Weighted Average for Key Assumptions Used in Determining the Fair Value of Options Granted and a Summary of the Methodology Applied to Develop Each Assumption (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>38</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>140 - Disclosure - Share-Based Compensation Arrangements - RSU Activity (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsRSUActivity</Role>
      <ShortName>Share-Based Compensation Arrangements - RSU Activity (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>39</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>141 - Disclosure - Related Party Transactions - Selected Results Related to Vendor and Percentages (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureRelatedPartyTransactionsSelectedResultsRelatedToVendorAndPercentages</Role>
      <ShortName>Related Party Transactions - Selected Results Related to Vendor and Percentages (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>40</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>142 - Disclosure - Stock Repurchase Program - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureStockRepurchaseProgramAdditionalInformation</Role>
      <ShortName>Stock Repurchase Program - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>41</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>143 - Disclosure - Quarterly Financial Information (Unaudited) - Summarized Quarterly Financial Results (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureQuarterlyFinancialInformationUnauditedSummarizedQuarterlyFinancialResults</Role>
      <ShortName>Quarterly Financial Information (Unaudited) - Summarized Quarterly Financial Results (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://kirklands.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlockTables</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="kirk-20160130.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>144 - Disclosure - Subsequent Events - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://kirklands.com/taxonomy/role/DisclosureSubsequentEventsAdditionalInformation</Role>
      <ShortName>Subsequent Events - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>43</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File>kirk-20160130.xml</File>
    <File>kirk-20160130.xsd</File>
    <File>kirk-20160130_cal.xml</File>
    <File>kirk-20160130_def.xml</File>
    <File>kirk-20160130_lab.xml</File>
    <File>kirk-20160130_pre.xml</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies/>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
